Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Why google-gadgets won't work with Firefox 4.0
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Unsupported Software
View previous topic :: View next topic  
Author Message
Stormbreaker
n00b
n00b


Joined: 30 Oct 2003
Posts: 49

PostPosted: Fri Jan 14, 2011 9:36 pm    Post subject: Why google-gadgets won't work with Firefox 4.0 Reply with quote

As stated on
https://developer.mozilla.org/en/XPCOM/XPCOM_changes_in_Gecko_2.0
it says
"... that nsIGenericFactory.h has been removed. References to
nsIGenericFactory.h should be replaced with mozilla/ModuleUtils.h."

Though downgrading to net-libs/xulrunner-1.9.2.12-r1 will make google-gadgets compile, after upgrading to xulrunner-2.0 the application won't start successfully anymore.

Already filed a bug report on Gentoo's Bugzilla as well as Google's tracker.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Unsupported Software All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum